%{?python_enable_dependency_generator}
%global src_name   cpuinfo
%global pypi_name  py-%{src_name}

Summary:        Py-cpuinfo gets CPU info with pure Python
Name:           python-%{src_name}
Version:        9.0.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/workhorsy/%{pypi_name}
Source0:        %{pypi_source}

BuildRequires:  python3-devel python3-setuptools
BuildArch:      noarch

%description
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without any
extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register


%package -n python3-%{src_name}
Summary:        Py-cpuinfo gets CPU info with pure Python

%description -n python3-%{src_name}
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work without
any extra programs or libraries, beyond what your OS provides.

These approaches are used for getting info:
    Windows Registry
    /proc/cpuinfo
    sysctl
    dmesg
    isainfo and psrinfo
    Querying x86 CPUID register

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf *.egg-info

sed -i -e '/^#!\//, 1d' cpuinfo/cpuinfo.py


%build
%py3_build

%install
%py3_install


%check
%{__python3} setup.py test

%files -n python3-%{src_name}
%license LICENSE
%doc README.rst ChangeLog
%{_bindir}/cpuinfo
%{python3_sitelib}/%{src_name}/
%{python3_sitelib}/py_%{src_name}-%{version}-py3.*.egg-info


%changelog
* Mon Dec 11 2023 Shuo Wang <abushwang@tencent.com> - 9.0.0-1
- initial build
